-- Author      : Manel
-- Create Date : 04/11/2023 19:10:48

local CaesarPets = LibStub("AceAddon-3.0"):GetAddon("CaesarPets")
local L = LibStub("AceLocale-3.0"):GetLocale("CaesarPets")

local function optBooksFunc()
	HunterBooks_Toggle()
end

function CaesarPets:SetupHunterBooksButton()
	print("SetupHunterBooksButton")
	-- create button on the frame to toggle the hunter books
	self.booksButton = CreateFrame("Button", "HunterBooksButton", PetStableFrame.TitleContainer or PetStableFrame, "UIPanelButtonTemplate")
	self.booksButton:SetWidth(85)
	self.booksButton:SetHeight(18)
	self.booksButton:SetText("Books")
	self.booksButton:ClearAllPoints()
	-- UIPanelCloseButton
	if WoWClassic then
		self.booksButton:SetParent(PetStableFrame)
		self.booksButton:SetPoint("LEFT", PetStableFrameCloseButton, "RIGHT", 5, 0)
		--self.booksButton:SetWidth(110)
		--self.booksButton:SetHeight(22)
	else
		self.booksButton:SetPoint("TOPRIGHT", PetStableFrame, "TOPRIGHT", 85, -1)
	end

	self.booksButton:Show()

	self.booksButton:SetScript("OnClick", optBooksFunc)
end

function HunterBooks_OnLoad(self)
	print("HunterBooks_OnLoad")
	for i = 1, 4 do
		local hunterBookName = "HunterBook"..i
		print("HunterBooks;"..hunterBookName)
		local frame = _G[hunterBookName]
		if (frame) then
			local bEnabled = (i % 2 == 0)
			if bEnabled then
				-- frame:Enable()
				frame.Icon:SetDesaturated(false)
			else
				-- frame:Disable()
				frame.Icon:SetDesaturated(true)
			end
			frame.spellID = i
			--frame.SpellName:SetText(hunterBookName);
			--frame.SpellName:SetTextColor(NORMAL_FONT_COLOR.r, NORMAL_FONT_COLOR.g, NORMAL_FONT_COLOR.b);

			local info = hunterBookName .. " info"
			--frame.SubSpellName:SetText(info or "");
			--frame.SubSpellName:SetTextColor(0.50, 0.25, 0)
		else
			print("HunterBooks;"..hunterBookName.."; not found")
		end
	end
end

function HunterBooks_Toggle()
	print("HunterBooks_Toggle")
	if HunterBooks:IsShown() then
		HunterBooks:Hide()
	else
		HunterBooks:Show()
	end
end

